TeamCity<2023.11.4 身份验证绕过漏洞【POC公开】 (CVE-2024-27198)

漏洞类型 使用候选路径或通道进行的认证绕过 发现时间 2024-03-05 漏洞等级 严重
MPS编号 MPS-lqdy-036z CVE编号 CVE-2024-27198 漏洞影响广度 广

漏洞危害

OSCS 描述
TeamCity 是 JetBrains 公司开发的一款 CI/CD 工具。
JetBrains TeamCity在2023.11.4版本之前存在认证绕过漏洞,由于getJspFromRequest方法中对jsp请求判断不严,导致攻击者可通过使用;.jsp结尾的请求(如/hax?jsp=/app/rest/server;.jsp),绕过身份验证,访问未授权的API。未授权的攻击者可能通过利用该漏洞获取TeamCity管理员access token,从而控制CI/CD服务。
参考链接:https://www.oscs1024.com/hd/MPS-lqdy-036z

影响范围及处置方案

OSCS 平台影响范围和处置方案

影响范围 处置方式 处置方法
teamcity (-∞, 2023.11.4) 升级 将 TeamCity 升级至 2023.11.4 及以上版本
参考链接:https://www.oscs1024.com/hd/MPS-lqdy-036z

排查方式

方式1:使用漏洞检测CLI工具来排查使用文档:https://www.murphysec.com/docs/faqs/integration/cli.html
方式2:使用漏洞检测IDEA插件排查使用文档:https://www.murphysec.com/docs/faqs/integration/jetbrains-ide-plugin.html
方式3:接入GitLab进行漏洞检测排查使用文档:https://www.murphysec.com/docs/faqs/integration/gitlab.html
更多排查方式:https://www.murphysec.com/docs/faqs/integration/

本文参考链接

https://www.oscs1024.com/hd/MPS-lqdy-036z

https://nvd.nist.gov/vuln/detail/CVE-2024-27198

https://www.jetbrains.com/privacy-security/issues-fixed/

(0)
上一篇 2024年3月1日 下午4:00
下一篇 2024年3月6日 下午12:00

相关推荐

  • MeterSphere 未授权访问漏洞 (CVE-2023-38494) [有POC]

    漏洞类型 未授权敏感信息泄露 发现时间 2023/8/5 漏洞等级 中危 MPS编号 MPS-gxew-hdmv CVE编号 CVE-2023-38494 漏洞影响广度 小 漏洞危害 OSCS 描述 在 webapp、standalone 版本中使用了 commons-beanutils 组件来进行对象反序列化。由于commons-beanutils中存在一…

    2023年8月11日
    0
  • Google Chrome<120.0.6099.109 存在类型混淆漏洞 (CVE-2023-6702)

    漏洞类型 使用不兼容类型访问资源(类型混淆) 发现时间 2023-12-13 漏洞等级 高危 MPS编号 MPS-q9kf-nc82 CVE编号 CVE-2023-6702 漏洞影响广度 广 漏洞危害 OSCS 描述 Chrome v8 是 Google Chrome 的 JavaScript 和 WebAssembly 引擎,负责解释和执行 JavaScr…

    2023年12月14日
    0
  • Apache Derby LDAP 注入漏洞 (CVE-2022-46337)

    漏洞类型 LDAP注入 发现时间 2023-11-20 漏洞等级 中危 MPS编号 MPS-2022-65764 CVE编号 CVE-2022-46337 漏洞影响广度 一般 漏洞危害 OSCS 描述 Apache Derby 是开源的关系型数据库管理系统。 受影响版本中,由于 LDAPAuthenticationSchemeImpl#getDNFromUI…

    2023年11月21日
    0
  • Apache Ivy<2.5.2 存在XXE漏洞 (CVE-2022-46751)

    漏洞类型 输入验证不恰当 发现时间 2023-08-21 漏洞等级 中危 MPS编号 MPS-2022-67125 CVE编号 CVE-2022-46751 漏洞影响广度 极小 漏洞危害 OSCS 描述 Apache Ivy 是一个管理基于 ANT 项目依赖关系的开源工具,文档类型定义(DTD)是一种文档类型定义语言,它用于定义XML文档中所包含的元素以及元…

    2023年8月22日
    0
  • minizip-ng<4.0.3 存在堆缓冲区溢出漏洞 (CVE-2023-48106)

    漏洞类型 堆缓冲区溢出 发现时间 2023-11-23 漏洞等级 高危 MPS编号 MPS-7wpn-d9ve CVE编号 CVE-2023-48106 漏洞影响广度 小 漏洞危害 OSCS 描述 minizip-ng 是一个开源的压缩库,用于创建和解压ZIP格式文件。 minizip-ng 4.0.3之前版本中的 mz_os.c#mz_path_resol…

    2023年11月23日
    0